gnutls_x509_privkey_sign_hash(3)

NAME
gnutls_x509_privkey_sign_hash - This function will sign the given data using the private key params

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_sign_hash(gnutls_x509_privkey_t key, const gnutls_datum_t * hash, gnutls_datum_t * signature);

ARGUMENTS

gnutls_x509_privkey_t key
    Holds the key

const gnutls_datum_t * hash
    holds the data to be signed

gnutls_datum_t * signature
    will contain newly allocated signature

DESCRIPTION
This function will sign the given hash using the private key.

RETURN VALUE
In case of failure a negative value will be returned, and 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.